<template >


    <div align="center" style="margin-top:100px">
        <div align="center" style="width:50%">
              <v-img
                alt="Vuetify Name"
                class="shrink mt-1 hidden-sm-and-down"
                contain
                min-width="100"
                src="../../assets/wagon.png"
                width="140"
              />
              <br>
              <v-text-field
                large
                rounded
                label="Solo"                         
                placeholder="Enter Your Item Name"
                solo
                height="60"
                v-model="search"
                append-icon="search"
                v-on:keyup.enter="searchMaterial()"
              ></v-text-field>
              
              <v-progress-circular
                :width="3"
                color="primary"
                indeterminate
                v-if="loading"
              ></v-progress-circular>
        </div>
        
        <div style="width:85%;margin-bottom:80px" v-if="container" align="left">
            <div align="left" v-if="materialavailable">
                <v-card>
                  <div style="padding:15px 15px 0px 15px;font-size:18px">
                    Item <b>{{reskey}}</b> Sudah Tersedia<br><br>
                  </div>

                    <template>
                      <v-simple-table>
                        <template v-slot:default>
                          <thead>
                            <tr>
                              <th class="text-left">Material Number</th>
                              <th class="text-left">INC</th>
                              <th class="text-left">Item Name</th>
                              <th class="text-left">Item Description</th>
                              <th class="text-left">Collquial Name</th>
                              <th class="text-left">Brand</th>
                              <th class="text-left">Part Number</th>
                              <th class="text-left">Material Group</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <td>000097986868</td>
                              <td>87888</td>
                              <td>BOLT,MACHINE</td>
                              <td>22IN,LONG,STAINLESS STEEL</td>
                              <td>BAUT</td>
                              <td>CATERPILLAR</td>
                              <td>45544X</td>
                              <td>FASTENER</td>
                            </tr>
                          </tbody>
                        </template>
                      </v-simple-table>
                    </template>
                  </v-card>
            </div>

            <div align="left" v-if="materialpotensialduplicate">
                <v-card>
                  <div style="padding:15px">
                    Kata Kunci : <b>{{reskey}}</b> Berpotensi Duplikat.
                  </div> 
                  <template>
                      <v-simple-table>
                          <template v-slot:default>
                            <thead>
                              <tr>
                                <th class="text-left">Material Number</th>
                                <th class="text-left">INC</th>
                                <th class="text-left">Item Name</th>
                                <th class="text-left">Item Description</th>
                                <th class="text-left">Collquial Name</th>
                                <th class="text-left">Brand</th>
                                <th class="text-left">Part Number</th>
                                <th class="text-left">Material Group</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr>
                                <td>000097986868</td>
                                <td>87888</td>
                                <td>BOLT,MACHINE</td>
                                <td>22IN,LONG,STAINLESS STEEL</td>
                                <td>BAUT</td>
                                <td>CATERPILLAR</td>
                                <td>45544X</td>
                                <td>FASTENER</td>
                              </tr>

                              <tr>
                                <td>000097986868</td>
                                <td>87888</td>
                                <td>BOLT,MACHINE</td>
                                <td>22IN,LONG,STAINLESS STEEL</td>
                                <td>BAUT</td>
                                <td>CATERPILLAR</td>
                                <td>45544X</td>
                                <td>FASTENER</td>
                              </tr>

                              <tr>
                                <td>000097986868</td>
                                <td>87888</td>
                                <td>BOLT,MACHINE</td>
                                <td>22IN,LONG,STAINLESS STEEL</td>
                                <td>BAUT</td>
                                <td>CATERPILLAR</td>
                                <td>45544X</td>
                                <td>FASTENER</td>
                              </tr>

                              <tr>
                                <td>000097986868</td>
                                <td>87888</td>
                                <td>BOLT,MACHINE</td>
                                <td>22IN,LONG,STAINLESS STEEL</td>
                                <td>BAUT</td>
                                <td>CATERPILLAR</td>
                                <td>45544X</td>
                                <td>FASTENER</td>
                              </tr>

                              <tr>
                                <td>000097986868</td>
                                <td>87888</td>
                                <td>BOLT,MACHINE</td>
                                <td>22IN,LONG,STAINLESS STEEL</td>
                                <td>BAUT</td>
                                <td>CATERPILLAR</td>
                                <td>45544X</td>
                                <td>FASTENER</td>
                              </tr>
                            </tbody>
                          </template>
                        </v-simple-table>
                        <div align="right" style="padding:20px">
                            <router-link to='/addRegister'>
                                <v-btn rounded large color="primary" retain-focus-on-click="true">
                                  <span class="mr-2">Registration</span>
                                </v-btn>
                            </router-link>
                        </div>
                  </template>
                </v-card>
            </div>

            <div align="center" v-if="materialready">              
                <span style="font-size:18px">
                  Keyword : <b>{{reskey}}</b> tidak ditemukan.
                  Silahkan mendaftarkan item baru<br><br>
                </span>
                <router-link to='/addRegister'>
                    <v-btn rounded large color="primary" retain-focus-on-click="true">
                      <span class="mr-2">Registration</span>
                    </v-btn>
                </router-link>
            </div>
        </div>
    </div>
    
</template>


<script>
export default {
    methods: {
        searchMaterial(){      
            var val = this.search;
            this.reskey = val;
            this.loading = true;
            this.container = false;
            this.materialavailable = false;
            this.materialpotensialduplicate = false;
            this.materialready = false;
            
            setTimeout(function(){
                this.loading = false;
                this.container = true;

                if(val=='Bolt Machine'){
                  this.materialavailable = true;
                
                }else if(val=='Bolt Machine B'){
                  this.materialpotensialduplicate = true;
                
                }else{
                  this.materialready = true;
                }
                
             }.bind(this), 700);
            
        }
    },

    data () { 
      return {
        loading:false,
        search:"",
        reskey:"",
        name : "Registration",
        title : "Registration Material",
        dialog: false,
        notifications: false,
        sound: true,
        widgets: false,
        singleSelect: false,
        materialavailable:false,
        materialpotensialduplicate:false,
        materialready:false,
        container:false,
        selected: [],
        brand:['Krisbow','Kings','Catterpilar','Fabricated','Samator','Nitrogen','Shell','Cabel Metal'],
        uom:['M','EACH','BOTTLE','PAIR'],
        type: ['Barang', 'Jasa'],
        itemfound: [
          {
            name: 'Frozen Yogurt',
            calories: 159,
          }
        ],
        itemfoundpotensial: [
          {
            name: 'Ice Cream',
            calories: 1593,
          }
        ]
      }
    },
  }
</script>
